pack_fclose(3)

NAME
pack_fclose - Closes a stream previously opened. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int pack_fclose(PACKFILE *f);

DESCRIPTION
Closes the stream `f' previously opened with pack_fopen() or pack_fopen_vtable(). After you have closed the stream, performing operations on it will yield errors in your application (e.g. crash it) or even block your OS.

RETURN VALUE
Returns zero on success. On error, returns an error code which is also stored in `errno'. This function can fail only when writing to files: if the file was opened in read mode, it will always succeed.

SEE ALSO
pack_fopen(3), pack_fopen_vtable(3), packfile_password(3), expackf(3)